What's new

Upgrade to 4.1 or not?

Darkenvy6

New Member
Joined
Sep 7, 2010
Messages
25
Reaction score
2
So tomorrow comes the release fo the 4.1 upgrade. My Iphone4 came preshipped with 4.0.2 and I am unable to downgrade or jailbreak.

Now my questions is should I update to 4.1 if I want to jailbreak?

Variables:

  • A jailbreak may not ever be able for 4.0.2?

  • If apple releases 4.1.1 before I upgrade to 4.1 then I will miss out on upgrading to 4.1
  • 4.0.2 may be jailbroken easier than 4.1
  • 4.1 fixes many issues I can use while I am "jailed"
  • I have followed the PSP-homebrew scene so my gut says "NEVER UPGRADE" but the iphone is different
What should I do? and where can I get the absolute latest information on jailbreaking news?
 

sakumaxp

Member
Joined
Aug 8, 2010
Messages
528
Reaction score
4
Location
SO CAL
to be honest, i think 4.0.2 is just not important to the devs, of the jailbreak, why would they create a jailbreak for an older firmware?
 
OP
D

Darkenvy6

New Member
Joined
Sep 7, 2010
Messages
25
Reaction score
2
Yea thats what I was thinking. I would be really upset if I hear "oh we jailbroke 4.0.2 instead of 4.1" :(
 

bknewtype

Active Member
Joined
Aug 30, 2010
Messages
434
Reaction score
59
Location
New York
just read on the dev sites for people not to update to 4.1 cause its a trap

not sure if this was meant for people with a jailbroken device, or if its for all including 4.0.2?
 
OP
D

Darkenvy6

New Member
Joined
Sep 7, 2010
Messages
25
Reaction score
2
just read on the dev sites for people not to update to 4.1 cause its a trap

not sure if this was meant for people with a jailbroken device, or if its for all including 4.0.2?
could you link me?
 

Roy_Drage

New Member
Joined
Aug 1, 2010
Messages
333
Reaction score
0
Location
London, England
Dev-Team Blog

It’s a trap!
Today you’ll likely start seeing iTunes innocently offer you a new version of iOS…version 4.1. Don’t accept it…it’s a trap!

This time of year there are lots of new iPhone owners, and not everybody knows that accepting new iOS updates is the surest way to lose your jailbreak and/or unlock. While those of you who have Cydia or TinyUmbrella backups of your FW hashes will always be able to get back to 4.0.1 if you make this mistake, this doesn’t hold for unlockers. There’s currently no known way to revert your baseband — if you update your baseband you’ll lose the ultrasn0w unlock, possible forever.

Please stay away from this 4.1 release until a safe jailbreak procedure (which also preserves ultrasn0w) is developed and released.

P.S. There are a tiny number of iPhone3G owners who can revert their basebands due to a flaw in very early bootloaders…you will already know if you fit in this category!
 
Last edited:

Roy_Drage

New Member
Joined
Aug 1, 2010
Messages
333
Reaction score
0
Location
London, England
Basically it's not telling us anything we didn't know before, sorry I mean it's not telling the people who have a clue what they are doing anything new.

Basically we'll lose our jailbreak/unlock if we upgrade and currently there is no known jailbreak for 4.1
 

bknewtype

Active Member
Joined
Aug 30, 2010
Messages
434
Reaction score
59
Location
New York
yea that. since im on 4.0.2, is it safe for me to update it since theres no jb for 4.0.2.
 

chazzw

New Member
Joined
Aug 5, 2010
Messages
210
Reaction score
1
Location
UK
Yea thats what I was thinking. I would be really upset if I hear "oh we jailbroke 4.0.2 instead of 4.1" :(

4.0.2 was released for one thing and one thing only.....to block the jailbreakme.com exploit. There is absolutly no need to Jailbreak it as we knew 4.1 was gonna be soon.

If, like me, you have paid for apps in Cydia & Rock you should allways wait until an official JB is released (Dev team, Geohot etc)
If you rely on Ulktrasnow (Unlock) then you should never update to official firmware anyway as Basebands are getting harder to unlock.

Basically.... if you jailbreak for a bit of fun and dont really care about it... then you can update whenever you like. If you value Jailbreaking and all it gives you.... allways wait for official Jailbreaks.... the most up to date info can allways be found from the DevTeam.

And there is one golden rule you should allways follow > NEVER pay for Jailbreaks.
 
OP
D

Darkenvy6

New Member
Joined
Sep 7, 2010
Messages
25
Reaction score
2
lol yea I don't know who would pay for jailbreaks. To me the concept of jail-breaking is to break free from corporate money-fueled control.

So yes I wont upgrade to 4.1 just yet then. I do not use the unlocking for a diffrent carrier but I do pay for several jailbroke apps :).

Now I want to downgrade to 4.0.1 and read many guides. Tiny umbrella claims my shsh blobs are on the server (my iphone was shipped 4.0.2 though) but I get this annoying "3002" error from itunes. I don't mean to deviate from this topic but some personal help would be lovely. I use Mac OSX and linux 10.04. (Can use windows if it helps :p)
 

mimimimimi

New Member
Joined
Sep 5, 2010
Messages
42
Reaction score
0
Now I want to downgrade to 4.0.1 and read many guides. Tiny umbrella claims my shsh blobs are on the server (my iphone was shipped 4.0.2 though) but I get this annoying "3002" error from itunes. I don't mean to deviate from this topic but some personal help would be lovely. I use Mac OSX and linux 10.04. (Can use windows if it helps :p)

If your iphone was shipped with 4.0.2 you can't downgrade.

And i would actually pay for a jailbreak if there was no other way because otherwise I can't use my iphone ... (rely on an unlock)
 

chazzw

New Member
Joined
Aug 5, 2010
Messages
210
Reaction score
1
Location
UK
Now I want to downgrade to 4.0.1 and read many guides. Tiny umbrella claims my shsh blobs are on the server (my iphone was shipped 4.0.2 though) but I get this annoying "3002" error from itunes. I don't mean to deviate from this topic but some personal help would be lovely. I use Mac OSX and linux 10.04. (Can use windows if it helps :p)

No worries at all... you can allways PM with questions and ill get back to you when I can. Your SHSH blobs that Tiny Umbrella see's will be for your existing 4.0.2 firmware. What this means is when you update to 4.1 and Apple stop "signing" 4.0.2 you will still be able to restore to 4.0.2.

The "3002" error is what you get when the firmware your trying to restore to is "unsigned" - However... if your phone sits in recover mode once its finished restoring and throws the error at you... hit the "kick out of recovery" button in Tiny Umbrella and see what happens... you never know

If the above doesnt work your gonna have to wait it out my friend... but you made a good choice using tiny umbrella, so many people cant be bothered with it simply becuase they dont know what it is....


And i would actually pay for a jailbreak if there was no other way because otherwise I can't use my iphone ... (rely on an unlock)

Well considering all your end up paying for is the files and documentation taken from the DevTeams or Geohots site.. you will be paying for something that is free..... ill let you make your own conclusions from that.

The trick is to be patient and dont update until there is a Jailbreak....expecially as your an "unlocker". I was in your situation for the last year as i had an old 3G.... I just waited until the Jailbreak and unlock was confirmed.
 
Last edited:

mimimimimi

New Member
Joined
Sep 5, 2010
Messages
42
Reaction score
0
The trick is to be patient and dont update until there is a Jailbreak....expecially as your an "unlocker". I was in your situation for the last year as i had an old 3G.... I just waited until the Jailbreak and unlock was confirmed.

That's what I've been doing and I will be doing, but I am afraid that there might not be another jailbreak. Since apple declared the war with FW 4.0.2, maybe they made a JB impossible with 4.1?
I mean maybe apple has battled those jailbreaks with updates before 4.0.2 also and the dev team has always found a way, but i bought my very first iphone a month ago so I couldnt tell...
 

chazzw

New Member
Joined
Aug 5, 2010
Messages
210
Reaction score
1
Location
UK
The trick is to be patient and dont update until there is a Jailbreak....expecially as your an "unlocker". I was in your situation for the last year as i had an old 3G.... I just waited until the Jailbreak and unlock was confirmed.

That's what I've been doing and I will be doing, but I am afraid that there might not be another jailbreak. Since apple declared the war with FW 4.0.2, maybe they made a JB impossible with 4.1?
I mean maybe apple has battled those jailbreaks with updates before 4.0.2 also and the dev team has always found a way, but i bought my very first iphone a month ago so I couldnt tell...

Trust me mate there will always be a way. It just takes time
 
Top